# Copyright (c) 2002 Speech and Acoustics Processing Lab., NAIST
#   All rights reserved
#
# $Id: Makefile.in,v 1.4 2002/09/11 22:07:05 ri Exp $
#
SHELL=/bin/sh
.SUFFIXES:
.SUFFIXES: .c .o
.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ -c $<

LIBSENT=../libsent
CC=@CC@
CFLAGS=@CFLAGS@
CPPFLAGS=-I$(LIBSENT)/include @CPPFLAGS@ @DEFS@ `$(LIBSENT)/libsent-config --cflags`
LDFLAGS=@LDFLAGS@ -L$(LIBSENT) -lsent @LIBS@ `$(LIBSENT)/libsent-config --libs` -lm
RM=@RM@ -f
prefix=@prefix@
exec_prefix=@exec_prefix@
INSTALL=@INSTALL@

############################################################

TARGET=mkss

all: $(TARGET)

mkss: mkss.c $(LIBSENT)/libsent.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ mkss.c $(LDFLAGS)

############################################################

install: install.bin install.man

install.bin: $(TARGET)
	${INSTALL} -d @bindir@
	@INSTALL_PROGRAM@ $(TARGET) @bindir@

install.man:
	${INSTALL} -d @mandir@/man1
	@INSTALL_DATA@ $(TARGET).man @mandir@/man1/$(TARGET).1

install.man.ja:
	${INSTALL} -d @mandir@/man1
	@INSTALL_DATA@ $(TARGET).man.ja @mandir@/man1/$(TARGET).1

############################################################

clean:
	$(RM) $(TARGET) *.o *~ core

distclean:
	$(RM) $(TARGET) *.o *~ core
	$(RM) Makefile
